{
  "name": "@generalprotocols/price-oracle",
  "version": "3.0.2",
  "description": "Library for creating, parsing, signing, verifying and transferring PriceOracle messages.",
  "exports": {
    "types": "./dist/index.d.ts",
    "node": {
      "import": "./dist/index.mjs.js",
      "require": "./dist/index.cjs.js"
    },
    "browser": {
      "import": "./dist/browser.mjs.js",
      "require": "./dist/browser.cjs.js"
    }
  },
  "type": "module",
  "main": "dist/index.cjs.js",
  "module": "dist/index.mjs.js",
  "typings": "dist/index.d.ts",
  "browser": "dist/browser.mjs.js",
  "sideEffects": false,
  "scripts": {
    "build": "npm run clean && npm run compile && npm run rollup",
    "compile": "tsc",
    "clean": "del dist",
    "jest": "NODE_OPTIONS='--experimental-vm-modules --no-warnings' jest",
    "remove-source-typing": "del dist/*.d.ts",
    "rename-zeromq": "replace '../node_modules/zeromq/lib/index.js' 'zeromq' dist/typings/index.d.ts",
    "rename-namespace": "replace 'namespace' 'declare namespace' dist/typings/index.d.ts",
    "docs": "jsdoc -c jsdoc.json",
    "lint": "eslint .",
    "rollup": "rollup -c",
    "spellcheck": "cspell '**'",
    "test": "npm run build && JEST_JUNIT_OUTPUT_NAME=unit-tests.xml npm run jest -- --selectProjects unit",
    "test:e2e": "npm run build && JEST_JUNIT_OUTPUT_NAME=e2e-tests.xml npm run jest -- --runInBand --selectProjects e2e "
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/GeneralProtocols/priceoracle/library.git"
  },
  "keywords": [
    "bitcoin cash",
    "smart contract",
    "oracle"
  ],
  "files": [
    "dist"
  ],
  "author": "GeneralProtocols",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/GeneralProtocols/priceoracle/library/issues"
  },
  "homepage": "https://gitlab.com/GeneralProtocols/priceoracle/library#readme",
  "dependencies": {
    "@bitauth/libauth": "3.0.0",
    "async-mutex": "^0.4.0",
    "debug": "^4.3.3",
    "json-arraybuffer-reviver": "^2.0.0"
  },
  "devDependencies": {
    "@generalprotocols/cspell-dictionary": "git+https://gitlab.com/GeneralProtocols/cspell-dictionary.git",
    "@generalprotocols/eslint-config": "git+https://gitlab.com/GeneralProtocols/eslint-config.git",
    "@types/debug": "^4.1.7",
    "@types/jest": "^29.2.0",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "better-docs": "2.3.2",
    "cspell": "^5.17.0",
    "del-cli": "^3.0.1",
    "docdash": "^1.2.0",
    "eslint": "^7.32.0",
    "eslint-plugin-import": "^2.25.4",
    "jest": "^29.2.2",
    "jest-junit": "^12.3.0",
    "jsdoc": "3.6.10",
    "replace": "^1.2.1",
    "rollup": "^2.53.0",
    "rollup-plugin-dts": "^3.0.2",
    "typescript": "^4.2.4"
  },
  "optionalDependencies": {
    "zeromq": "^6.0.4"
  }
}
